---
title: UIEvent.isChar
slug: Web/API/UIEvent/isChar
tags:
  - API
  - DOM
  - Non-standard
  - Obsolete
  - Property
  - Read-only
  - Reference
  - UIEvent
  - isChar
---
<div>{{APIRef("DOM Events")}} {{obsolete_header}}</div>

<p>The <code><strong>UIEvent.isChar</strong></code> read-only property returns a {{jsxref("Boolean")}} indicating whether the event produced a key character or not.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isChar</em> = <em>UIEvent</em>.isChar;
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean which is <code>true</code> if the event produces a character; otherwise <code>false</code>. Some keystroke combinations may raise events but not produce any character (example: <kbd>ctrl</kbd>-<kbd>alt</kbd>-<kbd>?</kbd>). When this is the case, <code>isChar</code> returns <code>false</code>. It is used when event handlers need to do something like echo the input on the screen.</p>

<h2 id="Example">Example</h2>

<p>In this snippet, which is part of an event handler, the event is checked to see if it generates a character; if it does, the value of {{domxref("UIEvent.which")}} is appended to a string which buffers the typed characters.</p>

<pre class="brush:js">if (event.isChar) {
  characterBuffer += e.which;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p><em>This property is not part of any specification.</em></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.UIEvent.isChar")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("UIEvent")}}</li>
</ul>
